Bug 1018854 - Broken instructions for quickstars/switchyard/demos/helpdesk
Broken instructions for quickstars/switchyard/demos/helpdesk
Status: CLOSED NOTABUG
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples (Show other bugs)
6.0.0,6.0.0 GA
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: David Ward
Martin Vecera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 10:24 EDT by Martin Vecera
Modified: 2013-10-17 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-16 10:09:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Vecera 2013-10-14 10:24:14 EDT
quickstarts/switchyard/demos/helpdesk/Readme.md reads
...
6. Going back to your web browser window:
    As krisv (a developer), click the Submit button to get the list of tasks.
    As krisv, review the tasks you want to perform and click the Submit button again.
    As david (a user), click the Submit button to get the list of tasks. He will only have tasks if more details were required.
    If there were user tasks, check the tasks you want to complete and click the Submit button again.
    Continue toggling back and forth as the users until all tasks are completed.
    You can view the application server output in its console window to see the progression of the progress.
...

This is not valid, the ticket is immediately passed to the other user after the first click on Submit. So the users needs to switch in actions: krisv - david - krisv - david...
Comment 1 Keith Babo 2013-10-16 10:09:13 EDT
I have just verified that the original instructions are accurate with a fresh deployment of this quickstart on ER4.  The real point of the quickstart is that there is a human workflow that only concludes when the approver (krisv) approves/rejects the ticket.  Until that happens, the ticket bounces back and forth between krisv and david.

Note You need to log in before you can comment on or make changes to this bug.